Summary: Basic library of spLibs
Name: spBase
Version: 0.8.24
Release: 2
License: distributable
Distribution: (none)
Vendor: (none)
Group: Development/Libraries
Source: %{name}-%{version}-%{release}.tgz
URL: https://www-ie.meijo-u.ac.jp/labs/rj001/spLibs/index.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: findutils
%define __spec_install_post /usr/lib/rpm/brp-compress || :

%description
spBase is a basic library of spLibs which is a multi-platform library set
originally designed for speech signal processing. spBase includes fundamental
functions such as memory management, file I/O, dynamic library loading,
multithreading, etc.

%package android
Summary: spBase library of for Android development
BuildArch: noarch
%description android
This package includes spBase library for Android development.

%changelog
* Fri May 31 2024  Hideki Banno
- Version 0.8.24-2

* Fri Apr 14 2023  Hideki Banno
- Version 0.8.24

* Wed Mar 22 2023  Hideki Banno
- Version 0.8.23

* Fri Apr 12 2019  Hideki Banno
- Version 0.8.22

* Tue Nov 20 2018  Hideki Banno
- Version 0.8.21-3

* Fri Apr 28 2017  Hideki Banno
- Version 0.8.21

* Sat Nov 12 2016  Hideki Banno
- Version 0.8.20-4

* Fri Jun  3 2016  Hideki Banno
- Version 0.8.20-2

* Mon May 16 2016  Hideki Banno
- Version 0.8.20

* Tue Aug  5 2014  Hideki Banno
- Version 0.8.19

* Mon Sep  3 2012  Hideki Banno
- Version 0.8.17
 
* Tue Oct  2 2007  Hideki Banno
- Version 0.8.12

* Mon Jun 26 2006  Hideki Banno
- Version 0.8.11

* Tue Mar  8 2005  Hideki Banno
- Version 0.8.10

* Fri Mar 22 2002  Hideki Banno
- Version 0.8.9

* Tue Mar 13 2001  Hideki Banno
- Version 0.8.8

* Sun Oct  8 2000  Hideki Banno
- Version 0.8.7

* Sat Aug 12 2000  Hideki Banno
- Version 0.8.6

* Sun Jun 18 2000  Hideki Banno
- Version 0.8.5

* Fri Aug 27 1999  Hideki Banno
- Version 0.8.3

* Thu Apr 15 1999  Hideki Banno
- Version 0.8.1

* Thu Feb 18 1999  Hideki Banno
- 1st release

%prep
%setup -q
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_prefix}

%build
%define debug_package %{nil}
cd spBase
%{__make} clean
%{__make} SPDESTROOT=%{buildroot}%{_prefix}

cd example
%{__make} cleanbin
cp Makefile Makefile.org
cp Makefile.main Makefile.main.org
%{__sed} -e "s|\.\./\.\.|%{_prefix}|" -e "s|= lib|= %{_lib}|" Makefile.org > Makefile
%{__sed} -e "s|\.\./\.\.|%{_prefix}|" -e "s|= lib|= %{_lib}|" Makefile.main.org > Makefile.main
%{__rm} -f Makefile.org Makefile.main.org
%{__rm} -f *.sln *.suo
%{__rm} -f *.make
%{__rm} -rf vc
%{__rm} -rf Debug*
%{__rm} -rf debug*
%{__rm} -rf Release*
%{__rm} -rf release*
%{__rm} -rf x64

mkfiles=`find android -name Android.mk`
for mkfile in ${mkfiles} ; do
    %{__sed} -i \
	-e 's|SP_INCLUDE_TOP := $(LOCAL_PATH)/\.\./\.\./\.\./\.\./\.\./include|SP_INCLUDE_TOP := /usr/share/sp/include|g' \
	-e 's|SP_BASE_TOP := $(LOCAL_PATH)/\.\./\.\./\.\./\.\./\.\./spBase|SP_BASE_TOP := /usr/share/sp/spBase|g' \
	-e 's|SP_BASE_LIB_LOCAL := $(LOCAL_PATH)/\.\./\.\./\.\./\.\./\.\./spBase/android/obj/local|SP_BASE_LIB_LOCAL := $(SP_BASE_TOP)/android/obj/local|g' \
	"${mkfile}"
done

cd ..

cd ..

%install
%{__mkdir_p} %{buildroot}%{_datadir}/sp/spBase/android/obj
cd spBase
%{__make} SPDESTROOT=%{buildroot}%{_prefix} install
%{__make} SPDESTROOT=%{buildroot}%{_prefix} install.hdr
cp -r android/obj/local %{buildroot}%{_datadir}/sp/spBase/android/obj/
cd ..
cp -r lib/sp %{buildroot}%{_libdir}
%{__strip} --remove-section=.comment --remove-section=.note --strip-debug %{buildroot}%{_libdir}/lib*.a
if [ -f %{buildroot}%{_libdir}/libspb.linux-glibc.a ]; then
    %{__ln_s} libspb.linux-glibc.a %{buildroot}%{_libdir}/libspb.linux.a
fi
%{__mkdir_p} %{buildroot}%{_datadir}/sp/include
%{__ln_s} ../../../include/sp %{buildroot}%{_datadir}/sp/include/sp

%clean
%{__rm} -rf %{buildroot}

%pre
%post
%preun
%postun

%files 
%defattr(-,root,root)
%doc spBase/README* spBase/CHANGES* spBase/LICENSE*
%doc spBase/CODING_STYLE*
%doc spBase/example
%dir %{_libdir}/sp
%dir %{_includedir}/sp
%{_libdir}/*.a
%{_libdir}/sp/*
%{_includedir}/sp/*

%files android
%defattr(-,root,root)
%dir %{_datadir}/sp
%dir %{_datadir}/sp/include
%{_datadir}/sp/include/sp
%{_datadir}/sp/spBase/
